Package org.eclipse.jdt.core.util

## Interface IPermittedSubclassesAttributeEntry

    public interface IPermittedSubclassesAttributeEntry

Description of permitted subclasses attribute as described in the JVM specifications.

Since:
  3.24

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `gePermittedSubclassIndex()` Answer back the permitted subclass name index.
`char[]` `getPermittedSubclassName()` Answer back the permitted subclass name as specified in the JVM specifications.

### Method Detail

#### getPermittedSubclassName

    char[] getPermittedSubclassName()

Answer back the permitted subclass name as specified in the JVM specifications.

Returns:
  the permitted subclass name as specified in the JVM specifications

#### gePermittedSubclassIndex

    int gePermittedSubclassIndex()

Answer back the permitted subclass name index.

Returns:
  the permitted class name index